/*
 * parcelize.h
 *
 *  Created on: 8 août 2022
 *      Author: xavie
 */

#ifndef INC_PARCELIZE_H_
#define INC_PARCELIZE_H_

#include "utils.h"
#include "env_sensors.h"


#define SETTINGS_BUFFER_SIZE 2048

void ActuatorParcelize( char* out, int id );
void ActuatorUnparcelize( char* in, WATERING_ACTUATOR* o  );
void SequenceParcelize( char* out, int id );
void SequenceUnparcelize( char* in, WATERING_SEQUENCE* o  );
void ValveParcelize( char* buff, int id );
void ValveUnparcelize( char* in, WATERING_VALVE* o  );
void ProgramParcelize( char* buff, int id );
void ProgramUnparcelize( char* in, WATERING_PROGRAM* o  );
int GeneralParcelize( char* buff );
bool GeneralUnparcelize( char* in, WATERING_GENERAL* o  );

void EnvSensorsParcelize( char* buff );
void EnvSensorsUnparcelize( char* in, FLASH_ENV_SENSORS* o  );

#endif /* INC_PARCELIZE_H_ */
